SearchResult (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.SearchResult class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class SearchResult

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.SearchResult

    public class SearchResult

extends java.lang.Object

Bean that describes a search result for the search service.

Constructor Summary
`SearchResult(java.lang.String name, java.lang.String type, java.lang.String id)`

Method Summary
`java.lang.String` | `getAdeId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getResType()`
`void` | `setAdeId(java.lang.String adeId)`
`void` | `setName(java.lang.String name)`
`void` | `setResType(java.lang.String resType)`
`org.json.JSONObject` | `toJson()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchResult

    public SearchResult(java.lang.String name,
                        java.lang.String type,
                        java.lang.String id)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getResType

    public java.lang.String getResType()

### setResType

    public void setResType(java.lang.String resType)

### getAdeId

    public java.lang.String getAdeId()

### setAdeId

    public void setAdeId(java.lang.String adeId)

### toJson

    public org.json.JSONObject toJson()
                               throws org.json.JSONException

  Throws:
    `org.json.JSONException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.